Bug 136055 - missing dependencies for kdevelop
Summary: missing dependencies for kdevelop
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-10-17 08:32 UTC by Florian Effenberger
Modified: 2014-01-21 22:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 08:09:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian Effenberger 2004-10-17 08:32:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3) (KHTML, like Gecko)

Description of problem:
There seem to be missing dependencies for kdevelop. (Nota bene: kdevelop is 3.1.0, whereas the rest of KDE is 3.3.1, maybe that's the culprit.)

Version-Release number of selected component (if applicable):
yum install kdeaccessibility kdeaddons kdeadmin kdebindings kdeedu kdegames kdegraphics kdemultimedia kdenetwork kdepim kdesdk kdetoys kdeutils kdevelop kdewebdev

How reproducible:
Always

Steps to Reproduce:
1. yum install kdevelop
    

Actual Results:  not using ftp, http[s], or file for repos, skipping -
Setting up Install Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
developmen: ################################################## 3433/3433
Resolving Dependencies
Processing Dependency: kdelibs-devel>= 6:3.3.0 for package: kdevelop
Processing Dependency: flex>= 2.5.4 for package: kdevelop
Processing Dependency: automake>= 1.4 for package: kdevelop
Processing Dependency: qt-designer>= 1:3.3.3 for package: kdevelop
Processing Dependency: autoconf>= 2.13 for package: kdevelop


Restarting Dependency Resolution with new Changes.
Loop Number: 2
Processing Dependency: bzip2-devel for package: kdelibs-devel
Processing Dependency: qt-devel>= 1:3.3.3 for package: kdelibs-devel
Processing Dependency: fam-devel for package: kdelibs-devel
Processing Dependency: pcre-devel for package: kdelibs-devel
Processing Dependency: qt-devel= 1:3.3.3-8 for package: qt-designer
Processing Dependency: arts-devel for package: kdelibs-devel
Processing Dependency: libjpeg-devel for package: kdelibs-devel
Processing Dependency: openssl-devel for package: kdelibs-devel
Processing Dependency: libidn-devel for package: kdelibs-devel
Processing Dependency: libtiff-devel for package: kdelibs-devel
Processing Dependency: libart_lgpl-devel for package: kdelibs-devel
Processing Dependency: zlib-devel for package: kdelibs-devel
Processing Dependency: libxslt-devel for package: kdelibs-devel
Processing Dependency: kdelibs= 6:3.3.0-5 for package: kdelibs-devel


Restarting Dependency Resolution with new Changes.
Loop Number: 3
Processing Dependency: libmng-devel for package: qt-devel
Processing Dependency: libxml2-devel>= 2.5.6 for package: libxslt-devel
Processing Dependency: kdelibs>= 6:3.3.1 for package: kde-i18n-German
Processing Dependency: esound-devel for package: arts-devel
Processing Dependency: arts= 8:1.3.0-4 for package: arts-devel
Processing Dependency: libvorbis-devel for package: arts-devel
Processing Dependency: pkgconfig for package: libidn-devel
Processing Dependency: alsa-lib-devel for package: arts-devel
Processing Dependency: krb5-devel for package: openssl-devel
Processing Dependency: XFree86-devel for package: qt-devel
Processing Dependency: qt= 1:3.3.3-8 for package: qt-devel
Processing Dependency: glib2-devel for package: arts-devel
Processing Dependency: libpng-devel for package: qt-devel
Processing Dependency: audiofile-devel for package: arts-devel


Restarting Dependency Resolution with new Changes.
Loop Number: 4
Processing Dependency: fontconfig-devel>= 2.1 for package: xorg-x11-devel
Processing Dependency: e2fsprogs-devel for package: krb5-devel
Processing Dependency: kdelibs>= 6:3.3.1 for package: kde-i18n-German
Processing Dependency: libogg-devel>= 2:1.1 for package: libvorbis-devel


Restarting Dependency Resolution with new Changes.
Loop Number: 5
Processing Dependency: freetype-devel>= 2.1.4 for package: fontconfig-devel
Processing Dependency: kdelibs>= 6:3.3.1 for package: kde-i18n-German


Restarting Dependency Resolution with new Changes.
Loop Number: 6
Processing Dependency: kdelibs>= 6:3.3.1 for package: kde-i18n-German
Finished Dependency Resolution
Error: missing dep: kdelibs for pkg kde-i18n-German


Expected Results:  Installed kdevelop.

Additional info:

Comment 1 Ngo Than 2004-10-18 08:10:54 UTC
it looks like a yum problem. there's a requires on kdelibs in the
kdevelop. could you please check the current rawhide again, it can not
reproduce it with current rawhide.

Comment 2 Florian Effenberger 2004-10-18 16:03:39 UTC
I tried with the following yum.conf, but the same error message 
appears again:

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
retries=20
obsoletes=1

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d

#[base]
#name=Fedora Core $releasever - $basearch - Base
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/
$releasever/$basearch/os/
#mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-
$releasever

#[updates-released]
#name=Fedora Core $releasever - $basearch - Released Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updat
es/$releasever/$basearch/
#mirrorlist=http://fedora.redhat.com/download/mirrors/updates-
released-fc$releasever

#[updates-testing]
#name=Fedora Core $releasever - $basearch - Unreleased Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updat
es/testing/$releasever/$basearch/
#mirrorlist=http://fedora.redhat.com/download/mirrors/updates-testing-
fc$releasever

[development]
name=Fedora Core $releasever - Development Tree
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/devel
opment/$basearch/
mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-
rawhide


Comment 3 Florian Effenberger 2004-10-18 16:26:52 UTC
The recent yum (yum-2.1.8-1) only brings

Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
ImportError: No module named yummain

whatever action I take...

Comment 4 Florian Effenberger 2004-10-18 19:14:00 UTC
Regarding yum, see also newly opened bug 136218

Comment 5 Bill Nottingham 2004-10-20 06:04:36 UTC
Please try yum-2.1.9 or later.

Comment 6 Florian Effenberger 2004-10-20 08:09:10 UTC
Yum works again, but kdevelop installation still does not work in 
2.1.9-1.


Note You need to log in before you can comment on or make changes to this bug.